# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Braintree payments 
    class: QSL\Braintree\Model\Payment\Processor\Braintree
    type: C 
    orderby: -101900 
    countries: [AD, AE, AF, AL, AM, AT, AU, AX, AZ, BA, BD, BE, BG, BH, BN, BT, BY, CA, CH, CN, CY, CZ, DE, DK, EE, ES, FI, FO, FR, GB, GE, GG, GI, GR, HK, HR, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JO, JP, KG, KH, KP, KR, KW, KZ, LA, LB, LI, LK, LT, LU, LV, MC, MD, ME, MK, MM, MN, MO, MT, MV, MY, NL, NO, NP, OM, PG, PH, PK, PL, PS, PT, QA, RO, RS, RU, SA, SE, SG, SI, SJ, SK, SM, SY, TH, TJ, TL, TM, TR, TW, UA, US, UZ, VA, VN, YE]
    translations:
      - code: en
        name: Braintree, a PayPal Company 
    settings:
      - name: merchantId 
      - name: publicKey
      - name: privateKey
      - name: autoSettle
      - name: kountMerchantId
      - name: googlePayMerchantId
      - name: testMode
        value: 1
      - name: useVault
        value: 1 
      - name: prefix
      - name: showSaveCardBox
        value: 1
      - name: is3dSecure
        value: 0
      - name: isChallengeRequested
        value: 0
